org.apache.fontbox.cff

## Class CFFParser

- java.lang.Object
- - org.apache.fontbox.cff.CFFParser

    public class CFFParser
    extends Object

This class represents a parser for a CFF font.

Author:
  Villu Ruusmann

### Nested Class Summary

Nested Classes
`static interface` `CFFParser.ByteSource` Source from which bytes may be read in the future.

### Constructor Summary

Constructors
Constructor and Description
`CFFParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<CFFFont>` `parse(byte[] bytes)` Parse CFF font using a byte array as input.
`List<CFFFont>` `parse(byte[] bytes, CFFParser.ByteSource source)` Parse CFF font using byte array, also passing in a byte source for future use.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CFFParser

    public CFFParser()

### Method Detail

#### parse

    public List<CFFFont> parse(byte[] bytes,
                               CFFParser.ByteSource source)
                        throws IOException

Parse CFF font using byte array, also passing in a byte source for future use.

Parameters:
  `bytes` - source bytes
  `source` - source to re-read bytes from in the future
Returns:
  the parsed CFF fonts
Throws:
  `IOException` - If there is an error reading from the stream

#### parse

    public List<CFFFont> parse(byte[] bytes)
                        throws IOException

Parse CFF font using a byte array as input.

Parameters:
  `bytes` - the given byte array
Returns:
  the parsed CFF fonts
Throws:
  `IOException` - If there is an error reading from the stream

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`